diff --git a/assets/brand/README.md b/assets/brand/README.md
index 7aea5ae4..adc62694 100644
--- a/assets/brand/README.md
+++ b/assets/brand/README.md
@@ -12,8 +12,8 @@ All assets are available on a Google Cloud Storage Bucket CDN at `https://graphq
| `hasura_logo_horizontal_white.svg` |
|
| `hasura_logo_vertical_black.svg` |
|
| `hasura_logo_vertical_white.svg` |
|
-| `hasura_mascot_logo_horizontal.svg` |
|
-| `hasura_mascot_logo_vertical.svg` |
|
-| `hasura_mascot.svg` |
|
| `powered_by_hasura_black.svg` |
|
| `powered_by_hasura_white.svg` |
|
+| `hasura_mascot_logo_horizontal.svg` |
|
+| `hasura_mascot_logo_vertical.svg` |
|
+| `hasura_mascot.svg` |
|
diff --git a/scripts/generate_brand_assets_readme.sh b/scripts/generate_brand_assets_readme.sh
index c3aa6f26..9e853ad7 100755
--- a/scripts/generate_brand_assets_readme.sh
+++ b/scripts/generate_brand_assets_readme.sh
@@ -2,10 +2,10 @@
#
# update readme file in the assets/brand folder
-# exit on error
-set -e
+# strict mode
+set -Eeuo pipefail
-IFS=$""
+IFS=$'\n\t'
# get the repo root
ROOT="$(readlink -f ${BASH_SOURCE[0]%/*}/../)"
@@ -25,16 +25,29 @@ EOF
)
for svg in *.svg; do
- if [[ "$svg" = *"white"* ]]; then
- BG='style="background-color: black;"'
- else
- BG='style="background-color: white;"'
- fi
- README_CONTENT=$(cat < |
EOF
-)
+)"
done
-echo $README_CONTENT > "$ROOT/assets/brand/README.md"
+for svg in *.svg; do
+ if [[ "$svg" == *"white"* ]] || [[ "$svg" == *"black"* ]]; then
+ continue
+ fi
+ README_CONTENT="$(cat < |
+EOF
+)"
+done
+
+echo "$README_CONTENT" > "$ROOT/assets/brand/README.md"